﻿<script src="~/app-assets/js/validation/jquery.validate.min.js" asp-append-version="true"></script>
<script src="~/app-assets/js/validation/jquery.validate.unobtrusive.min.js" asp-append-version="true"></script>
<script src="~/app-assets/js/validation/expressive.annotations.validate.js" asp-append-version="true"></script>

<script>   
    //ea.settings.dependencyTriggers = '';

    $(document).ready(function () {

        $("input[type='text']").attr("autocomplete", "off");
        //    try {
        //        $('input[type="text"]').each(function () {
        //            $(this).attr('autocomplete', 'off');
        //        });
        //    }
        //    catch (e) { }


        $('.btn.btn-primary').on('click', function (e) {
            let isValid = $('form').valid();
            let btn = $(this);
            let btnIco = $(this).children(':first');

            if ($('form').valid()) {
                btn.addClass('disabled');
                //btn.attr("disabled", "disabled");
                btnIco.toggleClass('icon-check2');
                btnIco.removeClass('icon-check2');
                //btnIco.addClass('fa fa-fw fa-spinner icon-spinner9');
                btnIco.addClass('icon-spinner9 icon-spin1');
            }
        });

    });

    $(document).ready(function () {
        var form = $('form')
            , formData = $.data(form[0])
            , settings = formData.validator.settings
            , oldErrorPlacement = settings.errorPlacement
            , oldSuccess = settings.success;

        settings.errorPlacement = function (item, element) {
            oldErrorPlacement(item, element);

            item.parents('.form-group').addClass('text-danger');
            item.parents('.form-group').children('input,select,textarea,.select2-selection').addClass('border-danger');
            item.parents('.form-group').children('select').next().find('.select2-selection').addClass('border-danger');
            item.addClass('text-danger');
        };

        settings.success = function (item) {
            item.parents('.form-group').removeClass('text-danger');
            item.parents('.form-group').children('input,select,textarea,.select2-selection').removeClass('border-danger');
            item.parents('.form-group').children('select').next().find('.select2-selection').removeClass('border-danger');

            oldSuccess(item);
        };
    });

        //$(document).ready(function () {

        //    $('.input-validation-error').parents('.form-group').addClass('has-error');
        //    $('.field-validation-error').addClass('text-danger');

        //    var form = $('form')
        //        , formData = $.data(form[0])
        //        , settings = formData.validator.settings
        //        // Store existing event handlers in local variables
        //        , oldErrorPlacement = settings.errorPlacement
        //        , oldSuccess = settings.success;

        //    settings.errorPlacement = function (label, element) {
        //        // Call old handler so it can update the HTML
        //        oldErrorPlacement(label, element);
        //        // Add Bootstrap classes to newly added elements
        //        label.parents('.form-group').addClass('has-error');
        //        label.addClass('text-danger');
        //    };

        //    settings.success = function (label) {
        //        // Remove error class from <div class="form-group">, but don't worry about
        //        // validation error messages as the plugin is going to remove it anyway
        //        label.parents('.form-group').removeClass('has-error');
        //        // Call old handler to do rest of the work
        //        oldSuccess(label);
        //    };
        //});






</script>